# $Id$
# Authority: lsn
# Upstream:

%define myname		LandShark BuildSys
%define myemail		<BuildSys[AT]LandShark.Net>
%define distro		CentOS 4

Name		: rss-glx
Version		: 0.8.0
Release		: 2.el4.lsn

License		: GPL
Summary		: Really Slick Screensavers.
Group		: Amusements/Graphics

URL		: http://rss-glx.sourceforge.net/
Vendor		: LandShark Networks
Distribution	: %distro
Packager	: %{myname} %{myemail}

BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source		: %{name}_%{version}.tar.bz2
Patch1		: hyperspace-desktop.patch

Buildarch	: i386

BuildRequires	: xorg-x11-devel ImageMagick-devel openal-devel
Requires	: xscreensaver-base ImageMagick openal


%description
The Really Slick Screensavers GLX port.

A collection of fancy OpenGL screensavers ported from Windows to X
for use with xscreensaver.

Authors:
--------
    Tugrul Galatali <tugrul@galatali.com>

%prep

%define xssdata /usr/X11R6/lib/X11/app-defaults/XScreenSaver
%define rsstemp /tmp/rss_glx
%define xssexecdir %{_libexecdir}/xscreensaver
%define xssconfigdir %{_datadir}/xscreensaver/config
%define kdessconfigdir %{_datadir}/applnk/System/ScreenSavers

%setup -n %{name}_%{version}

%patch1 -p1

./autogen.sh

%build
export CFLAGS="${CFLAGS:-${RPM_OPT_FLAGS}}"
export CPPFLAGS="${CFLAGS:-${RPM_OPT_FLAGS}}"
%configure --bindir=%{xssexecdir} \
	--with-configdir=%{xssconfigdir} \
	--with-kdessconfigdir=%{kdessconfigdir}

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install-strip

%post

if test -e %{xssdata} ; then

echo Adding RSS_GLX to XScreenSaver program list
sed '/*programs:/a\
    GL:       \"Cyclone\"  %{xssexecdir}/cyclone --root     \\n\\\
    GL:      \"Euphoria\"  %{xssexecdir}/euphoria --root    \\n\\\
    GL:    \"Fieldlines\"  %{xssexecdir}/fieldlines --root  \\n\\\
    GL:        \"Flocks\"  %{xssexecdir}/flocks --root      \\n\\\
    GL:          \"Flux\"  %{xssexecdir}/flux --root        \\n\\\
    GL:    \"HyperSpace\"  %{xssexecdir}/hyperspace --root  \\n\\\
    GL:        \"Helios\"  %{xssexecdir}/helios --root      \\n\\\
    GL:       \"Lattice\"  %{xssexecdir}/lattice --root     \\n\\\
    GL:        \"Plasma\"  %{xssexecdir}/plasma --root      \\n\\\
    GL:     \"Skyrocket\"  %{xssexecdir}/skyrocket --root   \\n\\\
    GL:    \"Solarwinds\"  %{xssexecdir}/solarwinds --root  \\n\\\
    GL:     \"Colorfire\"  %{xssexecdir}/colorfire --root   \\n\\\
    GL:   \"Hufos Smoke\"  %{xssexecdir}/hufo_smoke --root  \\n\\\
    GL:  \"Hufos Tunnel\"  %{xssexecdir}/hufo_tunnel --root \\n\\\
    GL:    \"Sundancer2\"  %{xssexecdir}/sundancer2 --root  \\n\\\
    GL:          \"BioF\"  %{xssexecdir}/biof --root        \\n\\\
    GL:   \"SpiroGraphX\"  %{xssexecdir}/spirographx --root \\n\\\
    GL:    \"MatrixView\"  %{xssexecdir}/matrixview --root  \\n\\\
    GL:   \"BusySpheres\"  %{xssexecdir}/busyspheres --root \\n\\' %{xssdata} > %{rsstemp} \
    && diff -q %{xssdata} %{rsstemp} >/dev/null || mv %{rsstemp} %{xssdata}

pids=`/sbin/pidof xscreensaver`
if [ -n "$pids" ]; then
  echo "sending SIGHUP to running xscreensaver ($pids)..." >&2
  kill -HUP $pids
fi
	
fi

%postun

if test -e %{xssdata} ; then

echo Removing RSS_GLX from XScreenSaver program list
sed -e '\;\"Cyclone\"  %{xssexecdir}/cyclone;d' \
    -e '\;\"Euphoria\"  %{xssexecdir}/euphoria;d' \
    -e '\;\"Fieldlines\"  %{xssexecdir}/fieldlines;d' \
    -e '\;\"Flocks\"  %{xssexecdir}/flocks;d' \
    -e '\;\"Flux\"  %{xssexecdir}/flux;d' \
    -e '\;\"HyperSpace\"  %{xssexecdir}/hyperspace;d' \
    -e '\;\"Helios\"  %{xssexecdir}/helios;d' \
    -e '\;\"Lattice\"  %{xssexecdir}/lattice;d' \
    -e '\;\"Plasma\"  %{xssexecdir}/plasma;d' \
    -e '\;\"Skyrocket\"  %{xssexecdir}/skyrocket;d' \
    -e '\;\"Solarwinds\"  %{xssexecdir}/solarwinds;d' \
    -e '\;\"Colorfire\"  %{xssexecdir}/colorfire;d' \
    -e '\;\"Hufos Smoke\"  %{xssexecdir}/hufo_smoke;d' \
    -e '\;\"Hufos Tunnel\"  %{xssexecdir}/hufo_tunnel;d' \
    -e '\;\"Sundancer2\"  %{xssexecdir}/sundancer2;d' \
    -e '\;\"BioF\"  %{xssexecdir}/biof;d' \
    -e '\;\"SpiroGraphX\"  %{xssexecdir}/spirographx;d' \
    -e '\;\"MatrixView\"  %{xssexecdir}/matrixview;d' \
    -e '\;\"BusySpheres\"  %{xssexecdir}/busyspheres;d' %{xssdata} > %{rsstemp} \
    && diff -q %{xssdata} %{rsstemp} >/dev/null || mv %{rsstemp} %{xssdata}

pids=`/sbin/pidof xscreensaver`
if [ -n "$pids" ]; then
  echo "sending SIGHUP to running xscreensaver ($pids)..." >&2
  kill -HUP $pids
fi

fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING INSTALL README README.xscreensaver
%{xssexecdir}/*
%{_libdir}/*
%{_mandir}/*/*
%{xssconfigdir}/*.xml
%{kdessconfigdir}/*.desktop

%changelog
* Sun Jan 15 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Initial CentOS 4 build.
